OSSIM-VIEWSHED(1)

NAME
ossim-viewshed - ossim-viewshed

SYNOPSIS
ossim-viewshed [options] <obs_lat> <obs_lon> <output-image>

OPTIONS

--dem <filename>
    Specifies the input DEM filename. If none provided, the elevation database is referenced as specified in prefs file

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--fov <start> <end>
    Optional arguments specifying the field-of-view boundary azimuths (in degrees). By default, a 360 deg FOV is computed. The arc is taken clockwise from start to end, so for a FOV of 225 deg from W, through N to SE, start=270 and end=135

--gsd <meters>
    Specifies output GSD in meters. Defaults to the same resolution as input DEM.

--hgt-of-eye <meters>
    Specifies the observers height-of-eye above the terrain in meters. Defaults to 1.5 m.

--horizon <filename>
    Experimental. Outputs the max elevation angles for all azimuths to <filename>, for horizon profiling.

--lut <filename>
    Specifies the optional lookup table filename for mapping the single-band output image to an RGB. The LUT provided must be in the ossimIndexToRgbLutFilter format and must handle the three output viewshed values (see --values option).

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--radius <meters>
    Specifies max visibility in meters. Required unless --size is specified. This option constrains output to a circle, similar to a radar display

--request-api
    Causes applications API to be output as JSON to stdout. Accepts optional filename to store JSON output.

--reticle <int>
    Specifies the size of the reticle at the observerlocation in pixels from the center (i.e., the radius of the reticle). Defaults to 2. A value of 0 hides the reticle. See --values option for setting reticle color.

--simulation
    For engineering/debug purposes

--size <int>
    Instead of a visibility radius, directly specifies the dimensions of the output product in pixels (output is square). Required unless --radius is specified.

--summary
    Causes a product summary to be output to the console.

--tbs
    "Thread By Sector". For engineering/debug purposes

--threads <n>
    Number of threads. Defaults to use all available cores. For engineering/debug purposes

--values <int int int>
    Specifies the pixel values (0-255) for the visible, hidden and reticle pixels, respectively. Defaults to visible=null (0), hidden=128, and observer position reticle is highlighted with 255.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

Computes the viewshed for the given viewpt coordinates. The output is a binary image with 0 representing hidden points, and 1 representing visible points.

EXAMPLES

ossim-viewshed --radius 50
    28.0 -80.5 output-hlz.tif

ossim-viewshed --size 1024
    28.0 -80.5 output-hlz.tif

An alternate command line provides switch for observer lat and lon:

ossim-viewshed --rlz 25 --observer 28.0 -80.5
    output-hlz.tif

SEE ALSO
The full documentation for ossim-viewshed is maintained as a Texinfo manual. If the info and ossim-viewshed programs are properly installed at your site, the command

    info ossim-viewshed

should give you access to the complete manual.